# Aquativo - Copyright (C) 2004 Pat Thoyts <patthoyts@users.sourceforge.net>
#
# Import the Aquativo Gtk theme (C) Andrew Wyatt, FEWT Software
# Original: http://www.fewt.com
# Link: http://art.gnome.org/themes/gtk2/432.php
#
# You will need to fetch the theme package and extract it under the 
# demos/themes directory and maybe modify the demos/themes/pkgIndex.tcl
# file.
#
# $Id: Aquativo.tcl,v 1.5 2004/01/21 16:22:18 patthoyts Exp $

package require tile::pixmap
package require Img

namespace eval Tile {
    namespace eval Aquativo {
        variable version 0.0.1
    }
}

namespace eval Tile::Aquativo {

skin createtheme Aquativo
style definetheme Aquativo {

    # ---------------------------------------------------------------------
    # Layouts
    # ---------------------------------------------------------------------

    skin createlayout Aquativo TButton {
        draw Button.background
        inside Button.padding {
            hfill Button.compound
        }
    }

    # ---------------------------------------------------------------------
    # Troughs
    # ---------------------------------------------------------------------

    skin createelement Aquativo trough  -images {
        {}                  ::Tile::Aquativo::_i_horizontal_trough
    } -border 3 -tiling tile -background opaque
    skin createelement Aquativo Vertical.Scrollbar.trough -images {
        {}                  ::Tile::Aquativo::_i_vertical_trough
    } -border 2 -tiling tile -background opaque
    skin createelement Aquativo Vertical.Scale.trough -images {
        {}                  ::Tile::Aquativo::_i_vertical_trough
    } -border 2 -tiling tile -background opaque
    skin createelement Aquativo Vertical.Progress.trough -images {
        {}                  ::Tile::Aquativo::_i_vertical_trough
    } -border 2 -tiling tile -background opaque


    # ---------------------------------------------------------------------
    # Buttons, Checkbuttons and Radiobuttons
    # ---------------------------------------------------------------------

    skin createelement Aquativo Button.background -images {
        {pressed !disabled} ::Tile::Aquativo::_i_button_normal_in
        {active !disabled}  ::Tile::Aquativo::_i_button_prelight_out
        disabled            ::Tile::Aquativo::_i_button_insensitive_out
        {}                  ::Tile::Aquativo::_i_button_normal_out
    } -border 10 -tiling tile -background opaque

    skin createelement Aquativo Checkbutton.indicator -images {
        {selected !disabled}  ::Tile::Aquativo::_i_check_in
        {}                    ::Tile::Aquativo::_i_check_out
    } -border 2 -tiling fixed

    skin createelement Aquativo Radiobutton.indicator -images {
        {selected !disabled}  ::Tile::Aquativo::_i_option_in
        {}                    ::Tile::Aquativo::_i_option_out
    } -border 2 -tiling fixed

    # ---------------------------------------------------------------------
    # Scrollbar
    # ---------------------------------------------------------------------

    skin createelement Aquativo Horizontal.Scrollbar.thumb -images {
        {active !disabled}  ::Tile::Aquativo::_i_scrollbar_prelight_horizontal
        {}                  ::Tile::Aquativo::_i_scrollbar_horizontal
    } -border 3 -tiling tile -minsize {8 0}

    skin createelement Aquativo Vertical.Scrollbar.thumb -images {
        {active !disabled}  ::Tile::Aquativo::_i_scrollbar_prelight_vertical
        {}                  ::Tile::Aquativo::_i_scrollbar_vertical
    } -border 3 -tiling tile -minsize {0 8}

    # ---------------------------------------------------------------------
    # Scale
    # ---------------------------------------------------------------------

    skin createelement Aquativo Horizontal.Scale.slider -images {
        {active !disabled}  ::Tile::Aquativo::_i_scrollbar_prelight_horizontal
        {}                  ::Tile::Aquativo::_i_scrollbar_horizontal
    } -border 3 -tiling tile -minsize {30 0}

    skin createelement Aquativo Vertical.Scale.slider -images {
        {active !disabled}  ::Tile::Aquativo::_i_scrollbar_prelight_vertical
        {}                  ::Tile::Aquativo::_i_scrollbar_vertical
    } -border 3 -tiling tile -minsize {0 30}

    # ---------------------------------------------------------------------
    # Progress
    # ---------------------------------------------------------------------

    # should use ::Tile::Aquativo::_i_progressbar but this is too big.
    skin createelement Aquativo bar -images {
        {} ::Tile::Aquativo::_i_scrollbar_prelight_horizontal
    } -border 3 -tiling tile
    skin createelement Aquativo Vertical.Progress.bar -images {
        {} ::Tile::Aquativo::_i_scrollbar_prelight_vertical
    } -border 3 -tiling tile

    # ---------------------------------------------------------------------
    # Arrows
    # ---------------------------------------------------------------------

    skin createelement Aquativo uparrow -images {
        {pressed !disabled} ::Tile::Aquativo::_i_arrow_up_clicked
        disabled            ::Tile::Aquativo::_i_arrow_up_insensitive
        {}                  ::Tile::Aquativo::_i_arrow_up_normal
    } -tiling fixed
        
    skin createelement Aquativo downarrow -images {
        {pressed !disabled} ::Tile::Aquativo::_i_arrow_down_clicked
        disabled            ::Tile::Aquativo::_i_arrow_down_insensitive
        {}                  ::Tile::Aquativo::_i_arrow_down_normal
    } -tiling fixed

    skin createelement Aquativo leftarrow -images {
        {pressed !disabled} ::Tile::Aquativo::_i_arrow_left_clicked
        disabled            ::Tile::Aquativo::_i_arrow_left_insensitive
        {}                  ::Tile::Aquativo::_i_arrow_left_normal
    } -tiling fixed

    skin createelement Aquativo rightarrow -images {
        {pressed !disabled} ::Tile::Aquativo::_i_arrow_right_clicked
        disabled            ::Tile::Aquativo::_i_arrow_right_insensitive
        {}                  ::Tile::Aquativo::_i_arrow_right_normal
    } -tiling fixed

    # ---------------------------------------------------------------------
    # Notebook parts
    # ---------------------------------------------------------------------
    
    skin createelement Aquativo tab -images {
        {selected !disabled} ::Tile::Aquativo::_i_notebook_bottom
        {}                   ::Tile::Aquativo::_i_notebook_active_bottom
    } -tiling fixed

    set imgdir [file join [file dirname [info script]] Aquativo-1.5 gtk-2.0]
    foreach file [glob -directory $imgdir *.png] {
        set img [file tail [file rootname $file]]
        image create photo [namespace current]::_i_$img -file $file
    }

    style default TButton -padding "4m 1m" -font ButtonFont
    style default TNotebookTab -padding "3m 1m" -font ButtonFont

} }

# -------------------------------------------------------------------------

package provide tile::Aquativo $::Tile::Aquativo::version

# -------------------------------------------------------------------------
