# WinXP-Blue - Copyright (C) 2004 Pat Thoyts <patthoyts@users.sourceforge.net>
#
# Import the WinXP-Blue Gtk2 Theme by Ativo
# Link: 
# URL: http://art.gnome.org/download/themes/gtk2/474/GTK2-WinXP-Blue.tar.gz
#
# You will need to fetch the theme package and extract it under the 
# demos/themes directory and maybe modify the demos/themes/pkgIndex.tcl
# file.
#
# $Id: WinXP-Blue.tcl,v 1.2 2004/01/18 15:45:23 jenglish Exp $

package require tile::pixmap
package require Img

namespace eval Tile {
    namespace eval WinXPBlue {
        variable version 0.0.1
    }
}

namespace eval Tile::WinXPBlue {

skin createtheme WinXPBlue
style definetheme WinXPBlue {

    skin createlayout WinXPBlue TButton {
        draw Button.background
        inside Button.padding {
            hfill Button.compound
        }
    }

    skin createelement WinXPBlue Checkbutton.indicator -images {
        selected Tile::WinXPBlue::_i_checkbox_checked
        {}       Tile::WinXPBlue::_i_checkbox_unchecked
    } -tiling fixed

    skin createelement WinXPBlue Radiobutton.indicator -images {
        selected Tile::WinXPBlue::_i_option_in
        {}       Tile::WinXPBlue::_i_option_out
    } -tiling fixed

    skin createelement WinXPBlue Horizontal.Scrollbar.thumb -images {
        {}      Tile::WinXPBlue::_i_scroll_horizontal
    } -border 3 -tiling tile -minsize {8 0}

    skin createelement WinXPBlue Vertical.Scrollbar.thumb -images {
        {}      Tile::WinXPBlue::_i_scroll_vertical
    } -border 3 -tiling tile -minsize {0 8}

    skin createelement WinXPBlue trough -images {
        {}      Tile::WinXPBlue::_i_horizontal_trough
    } -tiling tile -background opaque

    skin createelement WinXPBlue Vertical.Scrollbar.trough -images {
        {}      Tile::WinXPBlue::_i_vertical_trough
    } -tiling tile -background opaque
    skin createelement WinXPBlue Vertical.Scale.trough -images {
        {}      Tile::WinXPBlue::_i_vertical_trough
    } -tiling tile -background opaque

    # Progress
    skin createelement WinXPBlue Progress.bar -images {
        {}      Tile::WinXPBlue::_i_progressbar
    } -border 0 -tiling tile
    skin createelement WinXPBlue Vertical.Progress.bar -images {
        {}      Tile::WinXPBlue::_i_progressbar
    } -border 0 -tiling tile
    skin createelement WinXPBlue Progress.trough -images {
        {}      Tile::WinXPBlue::_i_through
    } -border 4 -tiling tile -background opaque

    # Button
    skin createelement WinXPBlue Button.background -images {
        {pressed !disabled} Tile::WinXPBlue::_i_buttonPressed
        {}                  Tile::WinXPBlue::_i_buttonNorm
    } -border 3 -tiling tile -background opaque

    # ---------------------------------------------------------------------
    # Notebook parts
    # ---------------------------------------------------------------------
    
    skin createelement WinXPBlue tab -images {
        {selected !disabled} Tile::WinXPBlue::_i_notebook_active
        {}                   Tile::WinXPBlue::_i_notebook_inactive
    } -border 6 -tiling tile

    # ---------------------------------------------------------------------
    # Arrows
    # ---------------------------------------------------------------------

    skin createelement WinXPBlue uparrow -images {
        pressed Tile::WinXPBlue::_i_arrow_up_clicked
        {}      Tile::WinXPBlue::_i_arrow_up_normal
    } -tiling fixed

    skin createelement WinXPBlue downarrow -images {
        pressed Tile::WinXPBlue::_i_arrow_down_clicked
        {}      Tile::WinXPBlue::_i_arrow_down_normal
    } -tiling fixed

    skin createelement WinXPBlue leftarrow -images {
        pressed Tile::WinXPBlue::_i_arrow_left_clicked
        {}      Tile::WinXPBlue::_i_arrow_left_normal
    } -tiling fixed

    skin createelement WinXPBlue rightarrow -images {
        pressed Tile::WinXPBlue::_i_arrow_right_clicked
        {}      Tile::WinXPBlue::_i_arrow_right_normal
    } -tiling fixed

    # Load in the images
    set imgdir [file join [file dirname [info script]] WinXP-Blue gtk-2.0]
    foreach file [glob -directory $imgdir *.png] {
        set img [file tail [file rootname $file]]
        image create photo Tile::WinXPBlue::_i_$img -file $file
    }

    style default TNotebookTab -padding "3m 1m" -font ButtonFont
    style default TButton -padding "4 2" -width -11 -font ButtonFont
} }

# -------------------------------------------------------------------------

package provide tile::WinXPBlue $::Tile::WinXPBlue::version

# -------------------------------------------------------------------------
