# blue.tcl - Copyright (C) 2004 Pat Thoyts <patthoyts@users.sourceforge.net>
#
# A sample pixmap theme for the tile package.
#
# $Id: blue.tcl,v 1.1 2004/01/17 22:38:05 patthoyts Exp $

package require tile::pixmap

namespace eval Tile {
    namespace eval blue {
        variable version 0.0.1
    }
}

namespace eval Tile::blue {

skin createtheme blue
style definetheme blue {
    
    skin createlayout blue Tile {
        draw Tile.background
    }

    skin createlayout blue TButton {
        draw Button.background
        inside Button.highlight {
            inside Button.padding {
                hfill Button.compound
            }
        }
    }

    skin createlayout blue TCheckbutton {
        draw Checkbutton.background
        inside Checkbutton.highlight {
            inside Checkbutton.border {
                inside Checkbutton.padding {
                    right Checkbutton.indicator
                    hfill Checkbutton.compound
                }
            }
        }
    }
                
    skin createlayout blue TRadiobutton {
        draw Radiobutton.background
        inside Radiobutton.highlight {
            inside Radiobutton.border {
                inside Radiobutton.padding {
                    right Radiobutton.indicator
                    hfill Radiobutton.compound
                }
            }
        }
    }

    skin createlayout blue TScrollbarVertical {
        draw Scrollbar.background
        border Scrollbar.border {
            draw Scrollbar.trough
            top Scrollbar.uparrow
            bottom Scrollbar.downarrow
            bottom Scrollbar.uparrow
            vfill Scrollbar.thumb
        }
    }

    skin createlayout blue TScaleHorizontal {
        draw Scale.background 
        inside Scale.highlight {
            inside Scale.padding {
                inside Scale.trough {
                    left Scale.slider
                }
            }
        }
    }

    skin createelement blue Button.background -images {
        pressed Tile::blue::button-p
        active  Tile::blue::button-h
        {}      Tile::blue::button-n
    } -border 2 -tiling tile

    skin createelement blue Checkbutton.indicator -images {
        {active !selected} Tile::blue::check-hu
        {active selected}  Tile::blue::check-hc
        {!active selected} Tile::blue::check-nc
        {}                 Tile::blue::check-nu
    }

    skin createelement blue Radiobutton.indicator -images {
        {active !selected} Tile::blue::radio-hu
        {active selected}  Tile::blue::radio-hc
        {!active selected} Tile::blue::radio-nc
        {}                 Tile::blue::radio-nu
    }

    set imgdir [file join [file dirname [info script]] blue]
    foreach file [glob -directory $imgdir *.gif] {
        set img [file tail [file rootname $file]]
        image create photo Tile::blue::$img -file $file
    }

    style default TNotebookTab -padding "3m 1m" -font ButtonFont

} }

# -------------------------------------------------------------------------

package provide tile::blue $::Tile::blue::version

# -------------------------------------------------------------------------
