# scale.tcl - Copyright (C) 2004 Pat Thoyts <patthoyts@users.sourceforge.net>
#
# Bindings for the TScale widget
#
# $Id: scale.tcl,v 1.5 2004/01/16 18:11:45 jenglish Exp $

namespace eval Tile {
    namespace eval Scale {
        variable State
    }
}

bind TScale <ButtonPress-1>   { Tile::Scale::Press %W %x %y }
bind TScale <B1-Motion>       { Tile::Scale::Drag %W %x %y }
bind TScale <ButtonRelease-1> { Tile::Scale::Release %W %x %y }

proc Tile::Scale::Press {w x y} {
    variable State
    set State(dragging) 0

    switch -glob -- [$w identify $x $y] {
        *trough {
	    if {[$w get $x $y] <= [$w get]} {
		Tile::Repeatedly Increment $w -1
	    } else {
		Tile::Repeatedly Increment $w 1
	    }
        }
        *slider {
            set State(dragging) 1
            set State(initial) [$w get]
        }
    }
}

proc Tile::Scale::Drag {w x y} {
    variable State
    if {! $State(dragging)} {
        return
    }
    $w set [$w get $x $y]
}
   
proc Tile::Scale::Release {w x y} {
    variable State
    set State(dragging) 0
    Tile::CancelRepeat
}

proc Tile::Scale::Increment {w delta} {
    if {![winfo exists $w]} return
    $w set [expr {[$w get] + $delta}]
}
